<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.comboboxentry.BaseComboBoxEntry&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.c.BaseComboBoxEntry(<span title="gtk.ComboBox">gtk.ComboBox</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.comboboxentry.html">comboboxentry</a></span>
      
      <a href="classIndex.html#kiwi.ui.comboboxentry.BaseComboBoxEntry">View In Hierarchy</a>
    </p>
    <div>
      <p>Known subclasses: <a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a></p>
    </div>
    <div class="undocumented">Undocumented</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id187">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#do_mnemnoic_activate">do_mnemnoic_activate</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#do_grab_focus">do_grab_focus</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#_on_entry__active_changed">_on_entry__active_changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#_has_frame_changed">_has_frame_changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#_on_entry__changed">_on_entry__changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#set_text_column">set_text_column</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#get_text_column">get_text_column</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#set_pixbuf">set_pixbuf</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#update_background">update_background</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#get_background">get_background</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html#get_icon_window">get_icon_window</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, model=None, text_column=-1):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.do_mnemnoic_activate"></a>
        <a name="do_mnemnoic_activate"></a>
        <div class="functionHeader">
        
        def do_mnemnoic_activate(self, group_cycling):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.do_grab_focus"></a>
        <a name="do_grab_focus"></a>
        <div class="functionHeader">
        
        def do_grab_focus(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry._on_entry__active_changed"></a>
        <a name="_on_entry__active_changed"></a>
        <div class="functionHeader">
        
        def _on_entry__active_changed(self, combobox):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry._has_frame_changed"></a>
        <a name="_has_frame_changed"></a>
        <div class="functionHeader">
        
        def _has_frame_changed(self, pspec):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry._on_entry__changed"></a>
        <a name="_on_entry__changed"></a>
        <div class="functionHeader">
        
        def _on_entry__changed(self, entry):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.set_text_column"></a>
        <a name="set_text_column"></a>
        <div class="functionHeader">
        
        def set_text_column(self, text_column):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.get_text_column"></a>
        <a name="get_text_column"></a>
        <div class="functionHeader">
        
        def get_text_column(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.set_pixbuf"></a>
        <a name="set_pixbuf"></a>
        <div class="functionHeader">
        
        def set_pixbuf(self, pixbuf):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.update_background"></a>
        <a name="update_background"></a>
        <div class="functionHeader">
        
        def update_background(self, color):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.get_background"></a>
        <a name="get_background"></a>
        <div class="functionHeader">
        
        def get_background(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.comboboxentry.BaseComboBoxEntry.get_icon_window"></a>
        <a name="get_icon_window"></a>
        <div class="functionHeader">
        
        def get_icon_window(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>